%global pypi_name Automat
%global module_name automat
%global commitId 4260ebbc3347b12566f219fe0e887c18bf972cb9

%global common_description %{expand:
Automat is a library for concise, idiomatic Python expression of finite-state
automata (particularly deterministic finite-state transducers).}
%global common_summary %{expand: Self-service finite-state machines for the programmer on the go}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        22.10.0
Release:        1%{?dist}
Summary:        %{common_summary}

License:        MIT
URL:            https://github.com/glyph/automat
Source0:        python-Automat-4260ebbc3347b12566f219fe0e887c18bf972cb9.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools-scm

%description
%{common_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        %{common_summary}

Requires:       python%{python3_pkgversion}-six
Requires:       python%{python3_pkgversion}-attrs >= 19.2.0

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
set -ex
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{py3_build}

%install
set -ex
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE
%{_bindir}/automat-visualize
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Feb 03 2023 James Marshall <jamarsha@redhat.com> 22.10.0-1
- Initial release
